TrustedApplication

Creates a new TrustedApplication.

post

Only administrators can create TrustedApplications.

Path parameters
strTokenstringRequired

The login token

Body

Specifications of a TrustedApplication object.

trustedApplicationIDstring · nullableOptional

TrustedApplication ID. Unique and assigned by the system. Returned during Get operations. Ignored in other cases.

tenantIDstring · nullableOptional

Tenant ID this TrustedApplication belongs to. Required during Create operations. Returned during Get operations.

namestring · min: 1 · max: 255Required

Name of the TrustedApplication. Must be unique within the tenant. Required during Create operations. Used during Update operations. Returned during Get operations.

descriptionstring · max: 1000 · nullableOptional

Description of the TrustedApplication. Optional during Create and Update operations. Returned during Get operations.

baseUrlstring · max: 500 · nullableOptional

Base URL of the TrustedApplication. Optional during Create and Update operations. Returned during Get operations.

authorizationTokenstring · min: 1 · max: 1000Required

Authorization token for the TrustedApplication. Required during Create operations. Used during Update operations. Returned during Get operations.

isEnabledbooleanRequired

Whether the TrustedApplication is enabled. Required during Create operations. Used during Update operations. Returned during Get operations.

createdByUserIDstring · nullableOptional

User ID who created this TrustedApplication. Returned during Get operations. Ignored in other cases.

lastModifiedByUserIDstring · nullableOptional

User ID who last modified this TrustedApplication. Returned during Get operations. Ignored in other cases.

creationTimestampstring · date-time · nullableOptional

Timestamp of creation. Returned during Get operations. Ignored in other cases.

lastChangeTimestampstring · date-time · nullableOptional

Timestamp of latest change. Returned during Get operations. Ignored in other cases.

Responses
chevron-right
200

Success

application/json

Response of a Create TrustedApplication request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post
/api/v2/TrustedApplication/{strToken}
200

Success

Gets a TrustedApplication by ID.

get

Only administrators can get TrustedApplications.

Path parameters
strTokenstringRequired

The login token

strTrustedApplicationIDstringRequired

The TrustedApplication ID

Responses
chevron-right
200

Success

application/json

Response of a Get TrustedApplication request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}
200

Success

Deletes a TrustedApplication.

delete

Only administrators can delete TrustedApplications.

Path parameters
strTokenstringRequired

The login token

strTrustedApplicationIDstringRequired

The TrustedApplication ID

Responses
chevron-right
200

Success

application/json

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

delete
/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}
200

Success

Updates an existing TrustedApplication.

patch

Only administrators can update TrustedApplications.

Path parameters
strTokenstringRequired

The login token

strTrustedApplicationIDstringRequired

The TrustedApplication ID

Body

Specifications of a TrustedApplication object.

trustedApplicationIDstring · nullableOptional

TrustedApplication ID. Unique and assigned by the system. Returned during Get operations. Ignored in other cases.

tenantIDstring · nullableOptional

Tenant ID this TrustedApplication belongs to. Required during Create operations. Returned during Get operations.

namestring · min: 1 · max: 255Required

Name of the TrustedApplication. Must be unique within the tenant. Required during Create operations. Used during Update operations. Returned during Get operations.

descriptionstring · max: 1000 · nullableOptional

Description of the TrustedApplication. Optional during Create and Update operations. Returned during Get operations.

baseUrlstring · max: 500 · nullableOptional

Base URL of the TrustedApplication. Optional during Create and Update operations. Returned during Get operations.

authorizationTokenstring · min: 1 · max: 1000Required

Authorization token for the TrustedApplication. Required during Create operations. Used during Update operations. Returned during Get operations.

isEnabledbooleanRequired

Whether the TrustedApplication is enabled. Required during Create operations. Used during Update operations. Returned during Get operations.

createdByUserIDstring · nullableOptional

User ID who created this TrustedApplication. Returned during Get operations. Ignored in other cases.

lastModifiedByUserIDstring · nullableOptional

User ID who last modified this TrustedApplication. Returned during Get operations. Ignored in other cases.

creationTimestampstring · date-time · nullableOptional

Timestamp of creation. Returned during Get operations. Ignored in other cases.

lastChangeTimestampstring · date-time · nullableOptional

Timestamp of latest change. Returned during Get operations. Ignored in other cases.

Responses
chevron-right
200

Success

application/json

Response of an Update TrustedApplication request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

patch
/api/v2/TrustedApplication/{strToken}/{strTrustedApplicationID}
200

Success

Lists all TrustedApplications for the current tenant.

get

Only administrators can list TrustedApplications.

Path parameters
strTokenstringRequired

The login token

Responses
chevron-right
200

Success

application/json

Response of a List TrustedApplications request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous reponse.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous reponse.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is indicative of the actual error.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/api/v2/TrustedApplications/{strToken}
200

Success

Last updated